{      WRITELOG.TPU    (c) 1995 CSC Ltd.  All right reserved.          }
{ ----============================================================---- }
{ Part: Types                                                          }
{                                                                      }

Type
      ErrorStringArray  = Array [0..99] of String[20];

      WeekDayLongArray  = Array [0..6] of String[15];

      WeekDayShortArray = Array [0..6] of String[3];

      MonthShortStrType = Array [1..12] of String[3];

      MonthLongStrType  = Array [1..12] of String[19];

      ModeType          = record
                     DateMode          : Byte; { 0 - 01 Jan 1994  } { %D0 }
                                               { 1 - 01 Jan       } { %D1 }
                     WeekDayMode       : Boolean; { True  = Long  } { %D9 }
                                                  { False = Short } { %D8 }
                     MonthMode         : Byte; { 0 - -p   } { %D4 }
                                               { 1 - -p..  } { %D5 }
                                               { 2 - -..   } { %D6 }
                                               { 3 - -..+H } { %D7 }
                     YearMode          : Boolean;
                                               { True  - 94       } { %D3 }
                                               { False - 1994     } { %D2 }
                     TimeMode          : Byte; { 0 - HH:MM:SS      } { %T0 }
                                               { 1 - HH:MM         } { %T1 }
                                               { 2 - MM:SS         } { %T2 }
                     TimeFormMode      : Boolean;
                                               { False - NonFormatted } {%T3}
                                               { True  - Formatted    } {%T4}
                     DateDivideChar    : Char;                     { %CD  }
                     DateNumDivideChar : Char;                     { %CN- }
                     TimeDivideChar    : Char;                     { %CT: }
                     UpCaseMode        : Byte; { 0 - Without Case }
                                               { 1 - UpCase       }
                                               { 2 - LowerCase    }
                     RussianUpCase     : Boolean;
                                               { True - 뢠 p᪨ }
                     LeadZeroDefault   : Byte; { - p  LeadZero }
                     HexMode           : Byte; { 0 - 00  } { %MH0 }
                                               { 1 - $00 } { %MH1 }
                                               { 2 - 00h } { %MH2 }
                                               { 3 - 00H } { %MH3 }
                     HexLenDefault     : Byte; {   㬮砭    }
                                               {  Byte2Hex                }
                     LenByteDefault    : Byte; { - p  㬮.    }
                                               {  ByteStr              }
                     TruncateString    : Boolean;
                                               { True - p pp }
                                               { ⮪  p           }
                     MonthShortString  : MonthShortStrType;
                     MonthLongString   : MonthLongStrType;
                     WeekDayShortString: WeekDayShortArray;
                     WeekDayLongString : WeekDayLongArray;
                     end;

      ModeArrayType = Array[0..1] of ModeType;

